Bug 146374 - RFE: add a way to disable proxy-usage for certain URLs
RFE: add a way to disable proxy-usage for certain URLs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 12:39 EST by Enrico Scholz
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 07:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-01-27 12:39:11 EST
Description of problem:

See above... a short hack might be 'proxy=None' or something in *.repo, but this
will not well with the mirror-function (some mirrors might need a proxy, others
not).

Correct fix would be $no_proxy support in python urllib.
Comment 1 Seth Vidal 2005-02-22 20:53:41 EST
proxy=_none_ was added to yum 2.2.0 and cvs HEAD.

2.2.0 is in updates-testing now.
Comment 2 Enrico Scholz 2005-02-25 17:32:17 EST
does not seem to work...

| # cat local.repo
| [local]
| name=Red Hat Linux $releasever - Local
| baseurl=http://ftp.ultra.csn.tu-chemnitz.de/pub/mirror/fedora/core/.yum/3/$basearch/local
| proxy=_none_
|
| # set | grep proxy
| ftp_proxy=http://www-cache:3128/
| http_proxy=http://www-cache:3128/
| https_proxy=http://www-cache:3128/
| no_proxy=ultra.csn.tu-chemnitz.de


But proxy log shows an access:
| 1109370381.162      0 morden.ultra.csn.tu-chemnitz.de TCP_MEM_HIT/200 1271 GET http://ftp.ultra.csn.tu-chemnitz.de/pub/mirror/fedora/core/.yum/3/i386/local/repodata/repomd.xml - NONE/- text/xml ...



Can be probably verified at your machine by putting 'proxy=_none_'
into the '[main]' section and executing

| # http_proxy=http://impossible:420000 yum update
Comment 3 Enrico Scholz 2005-02-25 17:32:57 EST
forgot: 

| $ rpm -q yum
| yum-2.3.0-1
Comment 4 Seth Vidal 2005-02-25 21:52:34 EST
set the proxy in [main]
and then disable it for cetain locations in each repo.

I'm not sure that this will disable or override the shell set proxy variable.

Note You need to log in before you can comment on or make changes to this bug.